Skip to main content
GET
/
v1
/
zones
/
{id}
Get zone
curl --request GET \
  --url https://api.sandbox.usenash.com/v1/zones/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.sandbox.usenash.com/v1/zones/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.sandbox.usenash.com/v1/zones/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "zone_01234567890123456789",
  "name": "Zone 1",
  "externalId": "ext_01234567890123456789",
  "portalUrl": "https://portal.usenash.com/settings/zones/zone_01234567890123456789",
  "coverageArea": {
    "cities": [
      "San Francisco"
    ],
    "cityZipcodes": [],
    "countries": [],
    "id": "coa_01234567890123456789",
    "states": [],
    "zipCodes": [
      "94114"
    ]
  },
  "storeLocations": [
    {
      "blackoutDates": [],
      "email": "",
      "externalId": "ext_01234567890123456789",
      "firstName": "Steve",
      "id": "stl_01234567890123456789",
      "lastName": "Kerr",
      "location": {
        "address": "120 E 34th St, New York, NY 10016, USA",
        "addressCity": "New York",
        "addressCountry": "US",
        "addressFirstLine": "120 E 34th St",
        "addressSecondarynumber": null,
        "addressState": "NY",
        "addressZip": "10016",
        "lat": 40.7463656,
        "lng": -73.9803215
      },
      "name": "10392",
      "operatingHours": {
        "friday": {
          "active": true,
          "shifts": []
        },
        "monday": {
          "active": true,
          "shifts": []
        },
        "saturday": {
          "active": true,
          "shifts": []
        },
        "sunday": {
          "active": true,
          "shifts": []
        },
        "thursday": {
          "active": true,
          "shifts": []
        },
        "tuesday": {
          "active": true,
          "shifts": []
        },
        "wednesday": {
          "active": true,
          "shifts": []
        }
      },
      "phoneNumber": "+16132525710",
      "pickupInstructions": "",
      "prepTimeMinutes": null,
      "tags": []
    }
  ],
  "storeLocationAssociations": [
    {
      "endDate": "2025-01-01",
      "startDate": "2024-01-01",
      "storeLocationId": "stl_01234567890123456789"
    }
  ],
  "zoneRestrictions": [
    {
      "id": "res_01234567890123456789",
      "name": "Zone Restriction 1"
    }
  ],
  "tags": [
    "service:rapid",
    "franchise_location"
  ],
  "zoneMetadata": {
    "key": "value"
  },
  "isDeleted": false
}
[
{
"error": {
"code": "<string>",
"message": "<string>",
"details": {}
},
"response_status": "<string>",
"RequestID": "<string>"
}
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

OK

Response for zone.

id
string
required

The ID of the zone.

Example:

"zone_01234567890123456789"

name
string | null
required

The name of the zone.

Example:

"Zone 1"

externalId
string | null
required

The external ID of the zone.

Example:

"ext_01234567890123456789"

portalUrl
string | null
required

The portal URL of the zone.

Example:

"https://portal.usenash.com/settings/zones/zone_01234567890123456789"

coverageArea
Coveragearea · object | null
required

The coverage area of the zone.

Example:
{
"cities": ["San Francisco"],
"cityZipcodes": [],
"countries": [],
"id": "coa_01234567890123456789",
"states": [],
"zipCodes": ["94114"]
}
storeLocations
StoreLocationResponse · object[] | null
required

The store locations of the zone.

Example:
[
{
"blackoutDates": [],
"email": "",
"externalId": "ext_01234567890123456789",
"firstName": "Steve",
"id": "stl_01234567890123456789",
"lastName": "Kerr",
"location": {
"address": "120 E 34th St, New York, NY 10016, USA",
"addressCity": "New York",
"addressCountry": "US",
"addressFirstLine": "120 E 34th St",
"addressSecondarynumber": null,
"addressState": "NY",
"addressZip": "10016",
"lat": 40.7463656,
"lng": -73.9803215
},
"name": "10392",
"operatingHours": {
"friday": { "active": true, "shifts": [] },
"monday": { "active": true, "shifts": [] },
"saturday": { "active": true, "shifts": [] },
"sunday": { "active": true, "shifts": [] },
"thursday": { "active": true, "shifts": [] },
"tuesday": { "active": true, "shifts": [] },
"wednesday": { "active": true, "shifts": [] }
},
"phoneNumber": "+16132525710",
"pickupInstructions": "",
"prepTimeMinutes": null,
"tags": []
}
]
storeLocationAssociations
Storelocationassociations · object[] | null
required

The store location associations of the zone.

Example:
[
{
"endDate": "2025-01-01",
"startDate": "2024-01-01",
"storeLocationId": "stl_01234567890123456789"
}
]
zoneRestrictions
ZoneRestrictionResponse · object[] | null
required

The zone restrictions of the zone.

Example:
[
{
"id": "res_01234567890123456789",
"name": "Zone Restriction 1"
}
]
tags
string[] | null
required

The tags of the zone.

Example:
["service:rapid", "franchise_location"]
zoneMetadata
Zonemetadata · object | null
required

The metadata of the zone.

Example:
{ "key": "value" }
isDeleted
boolean | null
required

Whether the zone is deleted.

Example:

false